//
//  NSString+MyJSON.m
//  WebVIewDemo
//
//  Created by Gibson, Ryan on 24/01/2014.
//  Copyright (c) 2014 Fat Gin Software. All rights reserved.
//

#import "NSString+MyJSON.h"

@implementation NSString (MyJSON)

- (id)my_objectFromJSON
{
    NSData *data = [self dataUsingEncoding:NSUTF8StringEncoding];
    if (data && data.length) {
        // if we got some data, parse it
        NSError *err;
        id parsedJson = [NSJSONSerialization JSONObjectWithData:data options:NSJSONReadingAllowFragments error:&err];
        if (!err && parsedJson) {
            return parsedJson;
        }
    }
    return nil;
}

+ (NSString *)my_JSONStringWithObject:(id)obj
{
    if (!obj) return nil;
    NSError *err;
    @try {
        NSData *jsonData = [NSJSONSerialization dataWithJSONObject:obj options:0 error:&err];
        if (!err && jsonData && jsonData.length) {
            return [[NSString alloc] initWithData:jsonData encoding:NSUTF8StringEncoding];
        }
        NSLog(@"sb_stringByJSONEncodingObject: %@", err.localizedDescription);
    }
    @catch (NSException *exception) {
        NSLog(@"my_stringByJSONEncodingObject: %@ > %@ -- %@", exception.name, exception.reason, exception.userInfo);
    }
    return nil;
}

@end
