
// A simple app bridge
function AppBridge() {
    this.messagesDiv = document.getElementById('messages');
}

// Receive an message from the app
AppBridge.prototype.messageFromApp = function (data) {
    var e = document.createElement('pre');
    e.appendChild(document.createTextNode(JSON.stringify(data || {})));
    this.messagesDiv.appendChild(e);
}

// Send a message to the app
AppBridge.prototype.messageToApp = function (data) {
    var eventSrc = 'js-frame:' + JSON.stringify(data || {});
    this.loadLocationInTemporaryIframe(eventSrc);
}

// Create a temporary iframe with the specified source url
AppBridge.prototype.loadLocationInTemporaryIframe = function(src) {
    var iframe = document.createElement('IFRAME');
    iframe.style.display = 'none';
    iframe.setAttribute('src', src);
    document.documentElement.appendChild(iframe);
    iframe.parentNode.removeChild(iframe);
    iframe = null;
}
